using PARR.Core.Repositories.Interfaces;
using PARR.DAL.Context;

namespace PARR.DAL.Repositories
{
    internal class TaskStatusRepository : ITaskStatusRepository
    {
        private readonly DataContext dataContext;

        public TaskStatusRepository(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<Domain.Entities.TaskStatus> Get()
        {
            return dataContext.TaskStatuses;
        }
    }
}
